<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>Directory Navigation</title>
<meta name="description" content="" />
<meta name="keywords" content="" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="author" content="Peter Lavin" />
<meta http-equiv="Content-Language" content="PL" />
<meta name="copyright" content="copyright softcoded.com" />
<meta name="robots" content="follow, index" />
<meta name="abstract" content="" />
</head>
<body>
<?php
require 'DirectoryItems.php';
//uwagi oznaczają, że obrazek nie zostanie wyświetlony
$directory = 'graphics';
$di =& new DirectoryItems($directory);
$di->imagesOnly();
$di->naturalCaseInsensitiveOrder();
echo "<div style=\"text-align:center;\">";
echo "Kliknij nazwę pliku, aby obejrzeć obraz w pełnych rozmiarach.<br />";
$filearray = $di->getFileArray();
$path = "";
//określa rozmiar miniaturki
$size = 100;  
foreach ($filearray as $key => $value){
  $path = "$directory/".$key;  
  /*błędy w getthumb lub w klasie zaowocją uszkodzonymi odnośnikami - błędy nie zostaną wyświetlone*/
  echo "<img src=\"getthumb.php?path=$path&amp;size=$size\" ".
    "style=\"border:1px solid black;margin-top:20px;\" ".
    "alt= \"$value\" /><br />\n";
  echo "<a href=\"$path\" target=\"_blank\" >";
  echo "Title: $value</a> <br />\n";
}
echo "</div><br />";
?>
</body>
</html>
